Index: trunk/expressoMail1_2/js/QuickCatalogSearch.js
===================================================================
--- trunk/expressoMail1_2/js/QuickCatalogSearch.js	(revision 5075)
+++ trunk/expressoMail1_2/js/QuickCatalogSearch.js	(revision 5134)
@@ -611,483 +505,66 @@
 		  
               
-	emQuickCatalogSearch.prototype.showWindow = function (div)
-	{
-				$(this).bind('keypress');
+	emQuickCatalogSearch.prototype.showWindow = function (div) {
+		$(this).bind('keydown');
 				$(function() {
                     $( "#dialog:ui-dialog" ).dialog( "destroy" );                    
                     $( "#dialog-modal" ).dialog({
 						resizable: false,
-						height: 530,
-						width: 940,
+//			height: "auto",
+			width: 780,
 						modal: true,
+			position: 'bottom',
 						closeOnEscape: true,
 						close: function (event, ui) {
 							event.stopPropagation();
-							$(this).unbind('keypress');
+				$(this).unbind('keydown');
+				if (is_ie) { 
+					var range= document.getElementById(field_ + "_" + id_).createTextRange(); 
+					range.collapse(false); 
+					range.select(); 
+				} else { 
+					document.getElementById(field_ + "_" + id_).focus();    
+				} 
+			},
+			open: function () {
+				$("#selectable li:first button:first").focus();    
 						},
 						focus: function (event, ui) {
-							$(this).bind('keypress');
+				//$(this).unbind('keydown');
 						},
 						beforeClose: function (event, ui) {
-							$(this).bind('keypress');
+				$(this).unbind('keydown');
 						},
-						buttons:{
-							'Fechar' : function(){
+			buttons:[
+						{
+							text: "Fechar",
+							click: function(){
 								$("#detalhes_contato, #selectable, #busca").empty();
 								$(this).dialog("close");
+												if (is_ie) { 
+													var range= document.getElementById(field_ + "_" + id_).createTextRange(); 
+													range.collapse(false); 
+													range.select(); 
+												} else { 
+														document.getElementById(field_ + "_" + id_).focus();    
 							} 
+											 },
+							style: "margin-top: -2.1em" 
 						}
+					]
 					});
                 });
+		$(".ui-dialog .ui-dialog-titlebar")
+		.append('<a href="#" class="ui-dialog-titlebar-minimize ui-corner-all" role="button"><span class="ui-icon ui-icon-minusthick">minimize</span></a>')
+		.find('.ui-dialog-titlebar-minimize').click(function() {
+			$(".ui-dialog-buttonpane, .ui-dialog-content").toggle();
+			$(".ui-icon-minusthick, .ui-icon-newwin").toggleClass('ui-icon-minusthick').toggleClass('ui-icon-newwin');
+		});
 	
-                
-                
-        if(! div) {
-			alert(get_lang('The list has no participant.'));
-			return;
-		}
-							
-		if(! this.arrayWin[div.id]) {
-			div.style.width = "700px";
-			div.style.height = "230px";
-			var title = get_lang('The results were found in the Global Catalog')+':';
-			var wHeight = div.offsetHeight + "px";
-			var wWidth =  div.offsetWidth   + "px";
-			div.style.width = div.offsetWidth - 5;
-
-			win = new dJSWin({			
-				id: 'QuickCatalogSearch_'+div.id,
-				content_id: div.id,
-				width: wWidth,
-				height: wHeight,
-				title_color: '#3978d6',
-				bg_color: '#eee',
-				title: title,						
-				title_text_color: 'white',
-				button_x_img: '../phpgwapi/images/winclose.gif',
-				border: true,
-                                onclose: 'QuickCatalogSearch.restoreShortcuts("'+ div.id +'")'});
-
-			this.arrayWin[div.id] = win;
-			win.draw();
-		}
-		else {
-			win = this.arrayWin[div.id];
-		}
-		//document.getElementById("window_QuickCatalogSearch").style.visibility = "visible";
-		//win.open();
-		//document.getElementById('select_QuickCatalogSearch').focus();
-
-                if(is_ie && (preferences.use_shortcuts == '1')){
-                    shortcut.remove('down');
-                    shortcut.remove('up');
-                    shortcut.remove('return');
-                }
-	}
-	
-	emQuickCatalogSearch.prototype.transfer_result = function (field, ID, begin, end){
-		cm = document.getElementById('select_QuickCatalogSearch');
-		option_selected = cm.options[cm.selectedIndex].value + ", ";
-		emailList = document.getElementById(field + "_" + ID).value;
-		
-		new_emailList = emailList.substring(0, begin) + option_selected + emailList.substring((parseInt(end) + 2), emailList.length);
-		document.getElementById(field + "_" + ID).value = new_emailList;
-		document.getElementById(field + "_" + ID).focus();
-		this.arrayWin['window_QuickCatalogSearch_A'].close();
-                document.getElementById("window_QuickCatalogSearch").style.visibility = "hidden";
-	}
-
-	emQuickCatalogSearch.prototype.close_QuickSearch_window = function (field, ID){
-		//document.getElementById('QuickCatalogSearch_window_QuickCatalogSearch').style.display = "none";
-		document.getElementById(field + "_" + ID).focus();
-		this.arrayWin['window_QuickCatalogSearch_A'].close();
-                document.getElementById("window_QuickCatalogSearch").style.visibility = "hidden";
-                if(typeof shortcut.all_shortcuts['down'] == 'undefined'){
-                    if(is_ie  && (preferences.use_shortcuts == '1'))
-                    {
-                        shortcut.add("down",function(){select_msg('null', 'down');},{'disable_in_input':false});
-                        shortcut.add("up",function(){select_msg('null', 'up');},{'disable_in_input':false});
-                        shortcut.add("return",function(){
-                            if ( Element('border_id_0').className==='menu-sel' )
-                            {
-                                    all_messages = Element('tbody_box').childNodes;
-                                    for (var i=0; i < all_messages.length; i++)
-                                    {
-                                            if ( exist_className(all_messages[i], 'selected_shortcut_msg') )
-                                            {
-                                                    Element("td_who_" + all_messages[i].id).onclick();
-                                                    return;
-                                            }
-                                    }
-                            }
-                        },{'disable_in_input':true});
-                    }
-                }
-	}
-
-        emQuickCatalogSearch.prototype.restoreShortcuts = function(id) {
-
-            var search_win = document.getElementById(id);
-            if(typeof shortcut.all_shortcuts['down'] == 'undefined'){
-                if (search_win.style.visibility == 'visible')
-                {
-                    shortcut.add("down",function(){select_msg('null', 'down');},{'disable_in_input':false});
-                    shortcut.add("up",function(){select_msg('null', 'up');},{'disable_in_input':false});
-                    shortcut.add("return",function(){
-                        if ( Element('border_id_0').className==='menu-sel' )
-                        {
-                                all_messages = Element('tbody_box').childNodes;
-                                for (var i=0; i < all_messages.length; i++)
-                                {
-                                        if ( exist_className(all_messages[i], 'selected_shortcut_msg') )
-                                        {
-                                                Element("td_who_" + all_messages[i].id).onclick();
-                                                return;
-                                        }
-                                }
-                        }
-                    },{'disable_in_input':true});
-                }
-            }
-            search_win.style.visibility = 'hidden';
-
-        }
-
-	emQuickCatalogSearch.prototype.close_window = function(id) {
-                this.arrayWin[id].close();
-		var group_values = Element('list_values');
-		var user_values = Element('user_values');
-	}
-	emQuickCatalogSearch.prototype.showCatalogList = function (border_id){
-		var el = Element('catalog_list');
-
-		if(el) {
-			Element('border_id').value = border_id;
-			win = this.arrayWin[el.id];
-			win.open();
-			return;		
-		}
-		var border_input   = document.createElement("INPUT");
-		border_input.type  = 'hidden';
-		border_input.id    = 'border_id';
-		border_input.value = border_id;
-		document.body.appendChild(border_input);
-		el = document.createElement("DIV");		
-		el.id = 'catalog_list';
-		document.body.appendChild(el);			
-		el.style.visibility = "hidden";
-		el.style.position = "absolute";
-		el.style.width = "700px";
-		el.style.height = is_ie ? "360px" : "375px";		
-		el.style.left = "0px";
-		el.style.top = "0px";			
-		el.innerHTML = "<table border='0' cellpading='0' cellspacing='0' width='100%'>"+
-					   "<tr><td id='td1' style='cursor:pointer' align='center' onclick='QuickCatalogSearch.select_div(\"tab1\")'><a href='#' class='catalog' onclick='QuickCatalogSearch.select_div(\"tab1\");'>"+get_lang('Global Catalog')+"</a></td>"+
-					   "<td id='td2' style='background:#cecece;cursor:pointer' onclick='QuickCatalogSearch.select_div(\"tab2\")' align='center'><a href='#' class='catalog' onclick='QuickCatalogSearch.select_div(\"tab2\");'>"+get_lang('Personal Catalog')+"</a></td></tr>"+
-					   '</table>'+
-					   '<div id="tab1" align="center"><br>'+
-					   '<table border="0" cellpading="0" cellspacing="0">'+
-					   '<tr><td>'+get_lang("Select an organization and click on button <b>Search</b>")+'&nbsp;:</td></tr>'+
-  					'<tr><td><select style="display:none;width:150px" id="select_catalog" name="select_catalog" onchange="javascript:QuickCatalogSearch.update_organizations();"></select>&nbsp'+
-					'<select id="select_organization" style="width:150px" name="select_organization"></select>&nbsp;'+   
-					'<input type="text" id="search_for" name="search_for" value="" size="30" maxlength="30"/>&nbsp;<input type="button" onclick="QuickCatalogSearch.searchCatalogList(true)" class="button" value="'+get_lang('Search')+'">&nbsp;<input style="display:visible" type="button" onclick="QuickCatalogSearch.searchCatalogList(false)" class="button" value="'+get_lang('List All')+'"></td></tr>'+
-					   '<tr><td><input onclick="javascript:QuickCatalogSearch.changeOptions(this.value)" id="type_l" type="radio" name="type" value="l"/>'+get_lang('Public Lists')+'&nbsp;&nbsp;<input type="radio" id="type_u" name="type" value="u" onclick="javascript:QuickCatalogSearch.changeOptions(this.value)" checked/>'+get_lang('Users')+'&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'+
-					   '<span style="visibility:hidden;background:#cc4444" id=msg_search>&nbsp;&nbsp;<font face="Verdana" size="1" color="WHITE">'+get_lang('Search in Catalog')+'...</font>&nbsp;</span></td></tr>'+
-					   '<tr><td>'+
-				  	   '<span id="list_span"><select multiple style="display:none;width:580px" size="14" id="list_values"></select></span>'+
-				  	   '<span id="user_span"><select multiple style="width:580px" size="14" id="user_values"></select></span>'+
-				 	   '</td></tr>'+
-					   '<tr><td nowrap><center>'+get_lang('Click here to add into the fields')+':&nbsp;<input type="button" class="button" value="'+get_lang('TO')+'" onClick="javascript:QuickCatalogSearch.addContacts(\'to\')">&nbsp;'+
-				  	   '<input type="button" class="button" value="'+get_lang('CC')+'" onClick="javascript:QuickCatalogSearch.addContacts(\'cc\')">&nbsp;'+( allow_hidden_copy ?  
- 	                   '<input type="button" class="button" value="'+get_lang('CCo')+'" onClick="javascript:QuickCatalogSearch.addContacts(\'cco\')">' : '' )+
-				  	   '</center></td></tr><tr><td nowrap><center><input type="button" value="'+get_lang('Close')+'" onClick="javascript:QuickCatalogSearch.close_window(\'catalog_list\')"></center></td></tr>'+
-					   '</table>'+
-					   '</div>'+
-					   '<div style="display:none" id="tab2" align="center">'+
-					   '<br><br><br>'+
-					   '<table border="0" cellpading="0" cellspacing="0">'+
-					   '<tr><td>'+get_lang("Select the type of contact that you want to view")+'&nbsp;:</td></tr>'+
-					   '<tr><td><input onclick="javascript:QuickCatalogSearch.changeOptions(this.value)" type="radio" name="type" value="p"/>' + get_lang('People') + '&nbsp;&nbsp;<input type="radio" name="type" value="g" onclick="javascript:QuickCatalogSearch.changeOptions(this.value)"/>' + get_lang('Groups') + ' &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'+
-					   '<tr><td>'+
-				  	   '<span id="personal_span"><select multiple style="width:580px" size="14" id="list_personal"></select></span>'+
-				  	   '<span id="groups_span"><select multiple style="display:none;width:580px" size="14" id="list_groups"></select></span>'+
-				 	   '</td></tr>'+
-					   '<tr><td nowrap><center>'+get_lang('Click here to add into the fields')+':&nbsp;<input type="button" class="button" value="'+get_lang('TO')+'" onClick="javascript:QuickCatalogSearch.addContacts(\'to1\')">&nbsp;'+
-				  	   '<input type="button" class="button" value="'+get_lang('CC')+'" onClick="javascript:QuickCatalogSearch.addContacts(\'cc1\')">&nbsp;'+ ( allow_hidden_copy ? 
- 	                   '<input type="button" class="button" value="'+get_lang('CCo')+'" onClick="javascript:QuickCatalogSearch.addContacts(\'cco1\')">' : '' )+
-				  	   '</center></td></tr><tr><td nowrap><center><input type="button" value="'+get_lang('Close')+'" onClick="javascript:QuickCatalogSearch.close_window(\'catalog_list\')"></center></td></tr>'+
-					   '</table>'+
-					   '</div>';
-
-		var title = get_lang('Search in the Global Catalog');
-		var wHeight = el.offsetHeight - (is_ie ? 10 : 0) + "px";
-		var wWidth =  el.offsetWidth   + "px";
-		el.style.width = el.offsetWidth;
-		
-		Element('search_for').onkeypress = function (e) {
-			if ((is_ie && (window.event.keyCode == 13)) || (!is_ie && e.keyCode == 13)) {
-				QuickCatalogSearch.searchCatalogList(true);
-			}
-		};
-
-		win = new dJSWin({			
-			id: 'win_'+el.id,
-			content_id: el.id,
-			width: wWidth,
-			height: wHeight,
-			title_color: '#3978d6',
-			bg_color: '#eee',
-			title: title,						
-			title_text_color: 'white',
-			button_x_img: '../phpgwapi/images/winclose.gif',
-			border: true});
-			
-		this.arrayWin[el.id] = win;		
-		win.draw();
-		win.open();
-
-		var handler_catalogs = function(data){
-			var user_catalog = get_lang("Global Catalog");
-			if(data.length > 1) {
-				Element('select_catalog').style.display = '';
-				for(i = 0; i < data.length; i++) {		
-					Element('select_catalog').options[i] = new Option(data[i],i);
-					if(user_catalog.toUpperCase() == data[i].toUpperCase())
-						Element('select_catalog').options[i].selected = true;
-				}
-			}
-		}
-		cExecute ("$this.ldap_functions.get_catalogs", handler_catalogs);		
-		
-		this.update_organizations();
-		var handler_cc_contacts= function(data){
-			if(data && data.length > 0){
-				var aux = data.split(",");
-				for(var i=0; i< aux.length; i++){
-					QuickCatalogSearch.cc_contacts[QuickCatalogSearch.cc_contacts.length] = aux[i];				
-				}
-			}
-		}
-		cExecute("$this.db_functions.get_cc_contacts",handler_cc_contacts);
-
-		var handler_cc_groups = function(data){
-			if(data && data.length > 0){
-				var aux = data.split(",");
-				for(var i=0; i < data.length; i++){
-					QuickCatalogSearch.cc_groups[QuickCatalogSearch.cc_groups.length] = aux[i];								
-				}	
-			}
-		}
-		cExecute("$this.db_functions.get_cc_groups",handler_cc_groups);
-	
-	}
-	
-	emQuickCatalogSearch.prototype.select_div = function(element){
-		if(element == 'tab1'){
-		   Element('tab1').style.display = '';
-		   Element('tab2').style.display = 'none';
-		   Element('td1').style.background = '#eee';	
-		   Element('td2').style.background = '#cecece';
-		}
-		if(element == 'tab2'){
-		   Element('tab1').style.display = 'none';
-		   Element('tab2').style.display = '';
-		   Element('td1').style.background = '#cecece';
-		   Element('td2').style.background = '#eee';		   
-
-		}
-	}
-	
-	emQuickCatalogSearch.prototype.load_catalog = function(){
-	
-		var _this = this;
-		var content = new Array;
-		var select = Element('list_personal').style.display == 'none'? Element('list_groups'): Element('list_personal');
-		
-		if(Element('list_personal').style.display == 'none'){
-			content = _this.cc_groups;
-		}else{
-			content = _this.cc_contacts;
-		}
-		if(select.options.length > 0){
-			for(var i=0; i < select.options.length; i++){
-				select.options[i] = null;
-				i--;
-			}
-		}
-		for(var i=0; i < content.length; i++){
-			if(content[i] != undefined){
-				var aux = content[i].split(";");
-				var opt = new Option(aux[0] + ' (' + aux[1] + ')','"' + aux[0] + '" ' + '<' + aux[1] + '>',false,false);
-				select[select.length] = opt;
-			}
-		}
-		content.splice(0,(content.lenght));
-	}
-
-	emQuickCatalogSearch.prototype.update_organizations = function(){
-		while(Element('select_organization').options.length > 0) {
-			Element('select_organization').remove(0);
-		}
-	 	var handler_org = function(data){
-			Element('select_organization').options[0] = new Option(get_lang('all'),'all');
-			if (data != null){
-				var user_organization = Element('user_organization').value;
-				for(x = 0; x < data.length; x++) {
-					Element('select_organization').options[x+1] = new Option(data[x].toUpperCase(),data[x]);
-					if(user_organization.toUpperCase() == data[x].toUpperCase())
-						Element('select_organization').options[x+1].selected = true;
-				}
-			}
-		}		
-		cExecute ("$this.ldap_functions.get_organizations&referral=false&catalog="+Element('select_catalog').value, handler_org);		
-	}
-
-	emQuickCatalogSearch.prototype.changeOptions = function(type){	
-
-		switch(type){
-			case 'u':
-				Element('list_values').style.display = 'none';
-				Element('user_values').style.display = '';
-				break;
-			
-			case 'l':		
-				Element('user_values').style.display = 'none';
-				Element('list_values').style.display = '';		
-				break;
-
-			case 'p':
-				Element('list_personal').style.display = '';
-				Element('list_groups').style.display = 'none'
-				QuickCatalogSearch.load_catalog();				
-				break;
-			
-			case 'g':
-				Element('list_personal').style.display = 'none';
-				Element('list_groups').style.display = ''
-				QuickCatalogSearch.load_catalog();
-				break;
-		}
-
-	}
-
-	emQuickCatalogSearch.prototype.addContacts = function(field) {
-		
-		var border_id 	= Element('border_id').value;
- 		var select		= Element('user_values').style.display == 'none' ? Element('list_values') : Element('user_values');
-		if(field == "to1" || field == "cc1" || field == "cco1"){
-			field = field.substr(0,field.length - 1);
-			var select = Element('list_personal').style.display == 'none' ? Element('list_groups') : Element('list_personal');
-		}
-		var fieldOpener = Element(field+"_"+border_id);
-		var not_selected = true;
-		
-		for (i = 0 ; i < select.length ; i++) {
-			if (select.options[i].selected && select.options[i].value != '-1') {
-				if(fieldOpener.value.length > 0 && (fieldOpener.value.lastIndexOf(',') != (fieldOpener.value.length - 1))){
-					fieldOpener.value += ",";
-				}
-				fieldOpener.value += select.options[i].value + ",";
-				not_selected = false;
-				select.options[i].selected = false;
-			}
-		}
-		
-		if(not_selected)
-			return false;
-			
-		if(field != 'to'){
- 			a_link = Element("a_"+field+"_link_"+border_id);
- 			if(a_link)
- 				a_link.onclick();
- 		}
-	}
-	
-	emQuickCatalogSearch.prototype.searchCatalogList = function (itemSearch){
-
-		if(itemSearch && Element('search_for').value.length < preferences.search_characters_number){
-			alert(get_lang('Your search argument must be longer than %1 characters.', preferences.search_characters_number));
-			Element('search_for').focus();
-			return false;
-		}
-		var organization = Element('select_organization').value;		
-		var search		 = itemSearch ? Element('search_for').value : '';
-		var catalog		 = Element('select_catalog').value;
-
-		var handler_searchResults = function(data){
-			Element('msg_search').style.visibility = 'hidden';
-			if(data.error){
-				alert(get_lang('More than %1 results. Please, try to refine your search.',data.maxResult));
-				return false;
-			}else if(data.users.length == 0 && data.groups.length == 0){
-				alert(get_lang('None result was found.'));
-			}
-
-			
-			var group = Element('list_span');
-			var user  = Element('user_span');	
-			if(is_ie){
-				group.innerHTML = '';
-				user.innerHTML = '';
-			}
-			else {
-				group = Element('list_values');
-				user  = Element('user_values');	
-				for(var i = 0;i < group.options.length; i++)				
-					group.options[i--] = null;
-				for(var i = 0;i < user.options.length; i++)				
-					user.options[i--] = null;
-			}
-
-			var arr 	= new Array(data.maxResult);
-
-			for(i = 0; data.groups && i < data.groups.length; i++) {
-				// Maneiras diferentes de se montar uma tag OPTION, pois no IE o objeto Option é muito lento.
-				if(is_ie)
-					arr[i] = '<option value="'+'&quot;'+data.groups[i].name+'&quot; &lt;'+data.groups[i].email+'&gt;">'+data.groups[i].name+' ('+data.groups[i].email+')'+'</option>';
-				else
-					group.options[i] = new Option(data.groups[i].name+' ('+data.groups[i].email+')','"'+data.groups[i].name+'" <'+data.groups[i].email+'>');
-			}
-	
-			
-			if(is_ie)
-				group.innerHTML = '<select multiple style="display:none;width:580px" size="14" id="list_values">'+ arr.join() +'</select>';
-
-			arr = new Array(data.maxResult);
-			
-			for(i = 0; data.users && i < data.users.length; i++) {
-			/*******************************************************************************************/
-			/* O resultado pratico do bloco de codigo a seguir eh a exibicao dos valores em tela,
-			ja que vai verificar se o departamento e o email estao vazios ou nulos e a partir dai o
-			resultado apresentado em tela sera exibido de maneira mais apresentavel;
-			*/
-				//verifica se departamento eh null ou nao;
-				var department = data.users[i].department ? " - " + data.users[i].department : "";
-				//verifica se email eh null ou nao;
-				var email = data.users[i].email ? data.users[i].email : "";
-
-				// Maneiras diferentes de se montar uma tag OPTION, pois no IE o objeto Option é muito lento.
-				if(is_ie)
-					arr[i] = '<option value="'+'&quot;'+data.users[i].name+'&quot; &lt;'+email+'&gt;">'+data.users[i].name+' ('+email+')'+department+'</option>';
-				else {
-					user.options[i] = new Option(data.users[i].name+' ('+email+')'+department,'"'+data.users[i].name+'" <'+email+'>'); // incluido data.users[i].department para exibir setor na opcao "Pesquisar" do email;
-				}
-			}
-	
-			if(is_ie)
-				user.innerHTML = '<select multiple style="width:580px" size="14" id="user_values">'+ arr.join() +'</select>';
-
-			// Display entries found.
-			var type = (data.groups.length > 0 && data.users.length == 0) ? 'l' : 'u';
-			Element("type_"+type).checked = true;
-			QuickCatalogSearch.changeOptions(type);
-		}
-
-		Element('msg_search').style.visibility = 'visible';
-		cExecute ("$this.ldap_functions.catalogsearch&organization="+organization+"&search_for="+search+"&catalog="+catalog, handler_searchResults);
+		$("#dialog-modal button, input.button").button();				
 	}
 
 	
-/* Build the Object */
+	/* Build the Object */
 	//QuickCatalogSearch;
 	QuickCatalogSearch = new emQuickCatalogSearch();
Index: trunk/expressoMail1_2/js/rich_text_editor.js
===================================================================
--- trunk/expressoMail1_2/js/rich_text_editor.js	(revision 5083)
+++ trunk/expressoMail1_2/js/rich_text_editor.js	(revision 5134)
@@ -99,5 +99,4 @@
         var textArea = document.createElement("TEXTAREA");
         textArea.id = pObj;
-        textArea.style.height = '500';
         textArea.style.width = '100%';
         parentDiv.appendChild(textArea);
@@ -367,9 +366,21 @@
            if(selection !== undefined && selection !== null) var selectionRanges = selection.getRanges(); 
 
-           editor.insertHtml('<div><br type="_moz"></div>'+data);
+           var fontSize = '';
+           var fontFamily = '';
            
-          if(selection !== null) selection.selectRanges(selectionRanges); 
+           if(typeof(preferences.font_size_editor) !== 'undefined')
+               fontSize = 'font-size:' + preferences.font_size_editor;
+               
+           if(fontSize != '') 
+               fontFamily = ';'
+           
+           if(typeof(preferences.font_family_editor) !== 'undefined')
+               fontFamily += 'font-family:' + preferences.font_family_editor + ';'; 
+            
+           var divBr = '<div style="'+fontSize+fontFamily+'"><br type="_moz"></div>';
           
-          editor.execCommand("autogrow"); //Atualiza tamanho do editor
+           editor.insertHtml(divBr+divBr+divBr+data);
+           
+           if(selection !== null) selection.selectRanges(selectionRanges); 
           
           //Caso não for uma resposta votla o foco para o input to
@@ -396,8 +407,12 @@
          CKEDITOR.remove(CKEDITOR.instances[id]);
      
+    var height = document.body.scrollHeight;
+    height -= 425;
+     
      $('#'+id).ckeditor( 
           function() {RichTextEditor.execPosInstance(id)},
           {
-              toolbar:'mail'      
+              toolbar:'mail',
+              height: height
           }); 
 
Index: trunk/expressoMail1_2/js/report_window.js
===================================================================
--- trunk/expressoMail1_2/js/report_window.js	(revision 4830)
+++ trunk/expressoMail1_2/js/report_window.js	(revision 5134)
@@ -11,5 +11,5 @@
 	report_window.prototype.make_report_window = function(ID_msg){
 		_this = this;
-		var title = get_lang("Describe the problem to report to technical support (optional)");
+		var title = get_lang("More information about the problem (optional)");
 		
 		tree 				  = document.createElement("DIV");
@@ -52,5 +52,5 @@
 			msg_confirmation.style.width = "240px";
 			msg_confirmation.style.height = "350px";
-			msg_confirm = get_lang("Attention! The original message will be sent along with the original source of the email message");
+			msg_confirm = get_lang("Attention! The information contained in the e-mail will be sent to the support team");
 			msg_confirmation.innerHTML = "<br><b><font color='BLACK' nowrap>"+msg_confirm+"</font></b>";
 				tree.appendChild(msg_confirmation);
